Subject: Re: bug#33517: Problem booting when using btrfs subvolume for /gnu/store

From: Christopher Baines <[email-masked]>
Date: Wed, 20 May 2020 20:46:44 +0100

Maxim Cournoyer <[email-masked]> writes:

> Hello,
>
> Christopher Baines <[email-masked]> writes:
>
>> I'm loosing track of this issue a bit, as I've been dealing with it for
>> a while. I have a machine that I've setup where /gnu/store is a btrfs
>> subvolume. I do this so that I can make flexible use of the space on
>> that btrfs filesystem.
>>
>> Unfortunately, the grub configuration generated for this doesn't seem to
>> account for this, and so it requires some tweaking to get it to boot.
>
> [...]
>
> This issue is now resolved as of commit
> 12df6684b983507b2a73e14f45d28a71cddfb3b1 on master.

Thanks Maxim, I'm guessing the commit that fixes this is
b460ba7992a0b4af2ddb5927dcf062784539ef7b.

Chris